ECHO OFF
ECHO *************************************************************************
ECHO *                   Printer Configuration Procedure.                    *
ECHO *************************************************************************
IF %1x == x GOTO USAGE
IF NOT EXIST FM.EXE GOTO NOTFOUND
IF NOT EXIST PRINTER.COM GOTO NOTFOUND
IF NOT EXIST PRINTER.FRM GOTO NOTFOUND
FM PRINTER %1
PRINTER %1
GOTO END
:NOTFOUND
ECHO *** ERROR:  File   FM.EXE, PRINTER.FRM, or PRINTER.COM   is missing ***
GOTO END
:USAGE
ECHO *                                                                       *
ECHO * The correct usage of this procedure is:                               *
ECHO *                                                                       *
ECHO *           CONFIG cnfigfil                                             *
ECHO *                                                                       *
ECHO * where 'cnfigfil' is the name of a printer configuration file such as  *
ECHO * 'EPSON2.CFG'.  You must specify a file.  This file does not have to   *
ECHO * exist as it will be created if it doesn't.  Choose a file name that   *
ECHO * makes sense (one that is related to the printer you are configuring   *
ECHO * and that you can remember).  All your modifications will be kept in   *
ECHO * this file so you can use it again if you need to make further         *
ECHO * configuration changes.                                                *
ECHO *************************************************************************
:END
ECHO >NUL
